#
# SAMBA Configuration DEVELOPMENT-VM
#

#======================= Global Settings =======================

[global]
  workgroup = AGEAS
  server string = Development Server
  dns proxy = no
  unix extensions = no

#### Networking ####
  interfaces = 127.0.0.0/8 ens192
  bind interfaces only = no

#### Performance ####
  socket options = TCP_NODELAY IPTOS_LOWDELAY SO_RCVBUF=131072 SO_SNDBUF=131072
  strict allocate = Yes
  read raw = Yes
  write raw = Yes
  strict locking = No
  min receivefile size = 16384
  write cache size = 52428800
  min receivefile size = 131072
  large readwrite = yes
  use sendfile = true
  aio read size = 16384
  aio write size = 16384
  aio write behind = /*recycle*/

#### MacOS ####
  veto files = /._*/.DS_Store/
  delete veto files = yes

#### Debugging/Accounting ####
  log file = /var/log/samba/log.%m
  max log size = 1000
  syslog = 0
  panic action = /usr/share/samba/panic-action %d
  debug level = 1

####### Authentication #######
  server role = standalone server
  passdb backend = tdbsam
  obey pam restrictions = yes
  unix password sync = yes
  passwd program = /usr/bin/passwd %u
  passwd chat = *Enter\snew\s*\spassword:* %n\n *Retype\snew\s*\spassword:* %n\n *password\supdated\ssuccessfully* .
  pam password change = yes
  map to guest = bad user

############ Misc ############
  usershare allow guests = yes

#======================= Share Definitions =======================
{% for user in PROFILES -%}
  {% set initiales%}{{user.prenom[0] | lower}}{{user.nom[0] | lower}}{% endset -%}
  {% set login -%}
    {%- if user.login is defined -%}
      {{ user.login | replace(' ', '_') | lower | e }}
    {%- else -%}
      {{ user.prenom[0] | lower }}{{ user.nom | replace(' ', '_') | lower | e }}
  {%- endif -%}
  {%- endset -%}
[{{ login }}]
  path = /data/sources/{{initiales}}/
  valid users = {{ login }}
  force user = {{ login }}
  force group = {{ DEPLOY.groupname }}
  read only = no
  guest ok = no
  create mask = 0664
  directory mask = 0775
  follow symlinks = yes
  wide links = yes
{% endfor %}